<?php /* Post Format: Standard */ ?>

<?php
$kanso_sd_args = array(
	'numberposts' => -1,
	'order' => 'ASC',
	'post_mime_type' => 'image',
	'post_parent' => $post->ID,
	'post_status' => null,
	'post_type' => 'attachment',
);
$kanso_sd_attachments = get_children( $kanso_sd_args );
$kanso_sd_firstimg = "";
if ( !empty($kanso_sd_attachments) ) {
	foreach ( $kanso_sd_attachments as $kanso_sd_attachment ) {
		$kanso_sd_image_attributes = wp_get_attachment_image_src( $kanso_sd_attachment->ID, 'full' )  ? wp_get_attachment_image_src( $kanso_sd_attachment->ID, 'full' ) : wp_get_attachment_image_src( $attachment->ID, 'full' );
	}
} 
?>


<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php if ( is_single() || is_home() || is_date() || is_category() || is_author() || is_tag()  || is_search() ) { ?>

    <div class="post-wrapper">
    	<?php 
		if ( is_single() ) {
			if ( get_post_type($post->ID) == 'post' && has_post_thumbnail($post->ID) ) { 
				echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div><div class="clearboth"></div>'; 
			} 
		} ?>
        <div class="post-header">
            <?php if ( is_single() ) { ?>
            	<h1>
					<a>
						<?php the_title(); ?>
                	</a>
                </h1>
                <div class="clearleft"></div>
            <?php } else { ?>
            	<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
            <?php } ?>
        </div><!--.post-header-->
        <?php 
		if ( is_home() || is_category() || is_search() || is_date() || is_author() || is_tag() || basename( get_page_template() ) == 'page_blog-posts.php' ) {
			if ( get_post_type($post->ID) == 'post' && has_post_thumbnail($post->ID) ) { 
				echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div><div class="clearboth"></div>'; 
			} 
		} ?>
        <div class="post-content">
            <?php the_content(__('Read more', 'satori' )); ?>
        </div>
		<?php include 'part_post-meta.php'; ?> 
        <div class="clearboth"></div>   
    </div>
    
    <?php } else { ?>
    
    <?php if ( has_post_thumbnail($post->ID) ) { ?>
    
    <?php $kanso_sd_ov_std = kanso_sd_get_option_tree('show_overlays','',false,true,-1);
	if ( isset($kanso_sd_ov_std[0])  ) {
		if ( function_exists('kanso_sd_get_option_tree') && $kanso_sd_ov_std[0] == 'Standard' ) { ?>
    <div class="overlay-post overlay">
    	<i class="fa fa-file"></i>
    </div>
    <?php }} ?>
    <div class="inner-image-placeholder" id="post-<?php echo $post->ID; ?>-in">
    	<a href="<?php the_permalink(); ?>">
    		<div class="image-link-inner"></div>
    	</a>
        
        <?php if ( function_exists('kanso_sd_get_option_tree') && kanso_sd_get_option_tree('disable_captions') != 'Yes' ) { ?>
        <div class="image-post-overlay">
			<div class="image-post-overlay-in">
            	<h4>
					<a>
						<?php the_title(); ?>
                	</a>
                </h4>
                <div class="clearboth"></div>
				<?php if ( has_excerpt( $post->ID ) ) { the_excerpt(); } ?>
            </div>
        </div>
        <?php } ?>
 
		<style type="text/css">
		#post-<?php echo $post->ID; ?>-in {
			<?php $kanso_sd_image_id = get_post_thumbnail_id();
			$kanso_sd_image_url = wp_get_attachment_image_src($kanso_sd_image_id,'square', false);
			$kanso_sd_postthumb = $kanso_sd_image_url[0];
			echo 'background-image: url("'.$kanso_sd_postthumb.'");'; ?>
			filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(
			src='<?php echo $kanso_sd_postthumb; ?>',
			sizingMethod='scale');
			-ms-filter: "progid:DXImageTransform.Microsoft.AlphaImageLoader(
			src='<?php echo $kanso_sd_postthumb; ?>',
			sizingMethod='scale')";
		}
		#post-<?php echo $post->ID; ?> {
			background-color: <?php echo get_post_meta($post->ID, 'satori_project-background', true); ?>;
		}
		</style>
    </div>
    
    <?php } else { ?>
    
    <a href="<?php the_permalink(); ?>">
    	<div class="standard-post-linker">
    	</div>
    </a>
    <?php if ( function_exists('kanso_sd_get_option_tree') && kanso_sd_get_option_tree('show_overlays') == 'Yes' ) { ?>
    <div class="overlay-post overlay"></div>
    <?php } ?>
    <div class="inner-image-placeholder" id="post-<?php echo $post->ID; ?>-in">
    	<div class="post-content">
    	<?php the_content( __('Read more', 'satori' )); ?>
    	</div>
    </div>
    
    <?php } ?>
    
    <?php } ?>
    
</div><!--.post-single-->